--- /tmp/Makefile
+++ ./Makefile
@@ -3,7 +3,7 @@
 #
 # 0.1.13: Added -I.
 
-LOCATION=/usr/local
+LOCATION:=/usr
 VERSION=0.1.14
 # VERSION changes
 #---------------------
@@ -42,22 +42,22 @@
 	./generate-buildcodes.sh
 
 ripOLE/ole.o:
-	./build_ripOLE
+	$(MAKE) -C ripOLE
 
 tnef/tnef.o:
-	./build_tnef
+	$(MAKE) -C tnef
 
 .c.o:
-	${CC} ${CFLAGS} $(COMPONENTS) -c $*.c
+	${CC} ${CFLAGS} -fPIC $(COMPONENTS) -c $*.c
 
 all: ${OBJ} 
 
 
 solib: ${OFILES} ripmime-api.o
-	gcc --shared -Wl,-soname,libripmime.so.1 ${OFILES} ripmime-api.o -o libripmime.so.1.4.0 -lc
+	${CC} ${LDFLAGS} --shared -Wl,-soname,libripmime.so.1 ${OFILES} ripmime-api.o -o libripmime.so.1.4.0 -lc
 
-libripmime: ${OFILES} ripmime-api.o
-	ar ruvs libripmime.a ${OFILES}  ripmime-api.o
+libripmime.a: ${OFILES} ripmime-api.o
+	${AR} ruvs $@ $^
 
 ripl: ripmime.a
 	${CC} ${CFLAGS} ripmime.c ripmime.a -o ripmime
@@ -65,16 +65,18 @@
 sco: ${OFILES}
 	${CC} ${CFLAGS} ripmime.c ${OFILES} -o ripmime -lsocket
 
-ripmime: ${OFILES} ripmime.c buildcodes.h
-	${CC} ${CFLAGS} $(COMPONENTS) ripmime.c ${OFILES} -o ripmime ${LIBS}
+ripmime: ${OFILES} ripmime.o
+	${CC} ${CFLAGS} $(COMPONENTS) $(LDFLAGS) $^ -o $@ ${LIBS}
 
+ripmime.o: buildcodes.h
+
 riptest: ${OFILES}
 	${CC} ${CFLAGS} riptest.c ${OFILES} -o riptest
 
 install: ${OBJ}
 	strip ripmime
-	cp ripmime ${LOCATION}/bin/
-	cp ripmime.1  ${LOCATION}/man/man1
+	install -Dm775 ripmime ${DESTDIR}${LOCATION}/bin/ripmime
+	install -Dm644 ripmime.1 ${DESTDIR}${LOCATION}/share/man/man1/ripmime.1
 
 ffget_test: ffget_mmap_test.c ffget_mmap.[ch] logger.o ffget_mmap.o
 	${CC} ${CFLAGS} ffget_mmap_test.c logger.o ffget_mmap.o -o ffgt
